#!/bin/bash

if [ "$EUID" -ne 0 ]
  then echo "Please run as root"
  exit
fi

# Get variables from settings.sh
source settings.sh

ADBDTCP_PATH=backdoors/adbdtcp.service

if [[ ! -f $ADBDTCP_PATH ]];then
	echo "Could not find adbdtcp.service file in backdoors/"
	exit
fi

echo "Creating the adbdtcp service"

cat $ADBDTCP_PATH > $SYSTEM_IMAGE_MOUNT_DIR/lib/systemd/system/adbdtcp.service
chmod 0644 $SYSTEM_IMAGE_MOUNT_DIR/lib/systemd/system/adbdtcp.service

echo "Enabling the adbdtcp service"
ln -s -f /lib/systemd/system/adbdtcp.service $SYSTEM_IMAGE_MOUNT_DIR/etc/systemd/system/basic.target.wants/adbdtcp.service